processing: select by location, extract by location algorithms broken

2016-10-30 08:16 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23704

Description

Victor, I suspect this is an unaddressed fallout from the recent parameter refactoring.

Steps to reproduce

    1. Open processing

    2. Try to run the "extract by location" algorithm

    3. boom crash

Stack trace

AttributeError: 'NoneType' object has no attribute 'widget' 

Traceback (most recent call last):

  File "/home/webmaster/apps/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 253, in executeAlgorithm

    dlg = AlgorithmDialog(alg)

  File "/home/webmaster/apps/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py", line 66, in __init__

    self.setMainWidget(ParametersPanel(self, alg))

  File "/home/webmaster/apps/share/qgis/python/plugins/processing/gui/ParametersPanel.py", line 78, in __init__

    self.initWidgets()

  File "/home/webmaster/apps/share/qgis/python/plugins/processing/gui/ParametersPanel.py", line 105, in initWidgets

    self.valueItems[param.name] = wrapper.widget

AttributeError: 'NoneType' object has no attribute 'widget'

History

#1 - 2016-11-06 06:50 AM - Arnaud Morvan

Pull request proposed that make this unrelevant : https://github.com/qgis/QGIS/pull/3725

#2 - 2016-12-24 01:55 AM - Paolo Cavallini

What is the current state?

#3 - 2016-12-28 09:39 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/3725


Fixed in master
